%global mod_name	flask-babel
%global pypi_name	flask_babel

Name:		python-flask-babel
Version:	4.0.0
Release:	%mkrel 4
Summary:	Adds i18n/l10n support to Flask applications
Group:		Development/Python
License:	BSD
URL:		https://github.com/mitsuhiko/flask-babel/
Source0:	%{pypi_source}
BuildArch:	noarch

%description
Adds i18n/l10n support to Flask applications with the help of the Babel library.

%package -n python3-flask-babel
Summary:	Adds i18n/l10n support to Flask applications
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

Obsoletes:	python3-flask-babelex < 0.9.4-7
Provides:	python3-flask-babelex = %{version}-%{release}

%description -n python3-flask-babel
Adds i18n/l10n support to Flask applications with the help of the Babel library.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-flask-babel -f %{pyproject_files}
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.0.0-4.mga10
+ Revision: 2240951
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 4.0.0-3.mga10
+ Revision: 2158235
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 4.0.0-2.mga10
+ Revision: 2043901
- obsoletes old and duplicate python-flask-babelex

* Fri Feb 23 2024 papoteur <papoteur> 4.0.0-1.mga10
+ Revision: 2043743
- new version 4.0.0

* Fri Apr 01 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1838263
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2.0.0-1.mga9
+ Revision: 1784910
- version 2.0.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.11.2-4.mga9
+ Revision: 1732581
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.11.2-3.mga8
+ Revision: 1533106
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.11.2-2.mga8
+ Revision: 1443370
- rebuild for python-3.8
- drop python2 subpkg

* Fri Apr 19 2019 wally <wally> 0.11.2-1.mga7
+ Revision: 1393388
- new version 0.11.2
- add python3 pkg
- rely on autogenerated deps

* Wed Sep 19 2018 umeabot <umeabot> 0.9-6.mga7
+ Revision: 1274590
- Mageia 7 Mass Rebuild

* Sat May 28 2016 ngompa <ngompa> 0.9-5.mga6
+ Revision: 1019139
- imported package python-flask-babel


* Sat May 28 2016 Neal Gompa <ngompa13@gmail.com> - 0.9-5
- Port to Mageia

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 17 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.9-2
- Revert patch to pass check with older Babel (#1175391).

* Fri Jul 18 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.9-1
- Update to latest upstream release (#1106770).

* Thu Jul 17 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.8-6
- Add patch to work with latest Babel (#1106770).

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 13 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.8-4
- Add missing python-setuptools build requires (#839071)
- Remove wrongly installed .gitignore

* Fri Aug 17 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.8-3
- Add missing build requires for proper chroot build
- Correct spec file to make %%check work without having package installed

* Sun Aug 5 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.8-2
- No need to set CFLAGS for noarch (#839071)
- Add %%check section (#839071)

* Tue Jul 10 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.8-1
- Initial python-flask-babel spec.
